View Issue Details

IDProjectCategoryView StatusLast Update
0001177Main CAcert Websiteaccount administrationpublic2014-09-02 20:53
ReporterINOPIAEAssigned ToBenBE 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2013 Q2 
Target VersionFixed in Version2013 Q3 
Summary0001177: Combine wot.inc.php, notary.inc.php and temp-function.php
DescriptionCombine the three file to one
TagsNo tags attached.
Reviewed byTed, NEOatNHNG
Test Instructions

Relationships

related to 0001054 needs review & testingTed Review the code regarding the new point calculation in ./includes/general.php 
child of 0000893 closedINOPIAE Extend Delete account feature for support 
child of 0001137 closedBenBE Record the CCA acception for entering an assurance 
child of 0001136 closedBenBE Extend SE console with the functionality to revoke all user certificates of an user account 
child of 0001123 closedBenBE Add the Check CCA acception to all certificate creation processes 
child of 0001216 new Assure Someone Page Broken; TTP Assurer is pushed to make a false statement, assurance clashes regarding F2F confirmation 

Activities

BenBE

2013-07-21 15:41

updater   ~0004174

Least work necessary to pull wot.inc.php into notary.inc.php since only three references to wot.inc.php exist (in release):
- wot/4
- wot/6
- wot/15

Functions added by wot.inc.php:
- get_number_of_ttpassurances
- AssureHead
- AssureTextLine
- AssureCCABoxLine
- AssureBoxLine
- AssureMethodLine
- AssureInboxLine
- AssureFoot

Functions modified by notary.inc.php:
- calc_experience
- calc_assurances
- output_assurances_header
- output_assurances_footer
- output_assurances_row
- output_given_assurances_content
- output_received_assurances_content
- output_given_assurances
- output_received_assurances

Since temp_function.php is not present in release due to being introduced in bug 0000893 merging things in should be done as follows:

1. Merge wot.inc.php into notary.inc.php
2. Update references to wot.inc.php to reference notary.inc.php instead
2a) Update wot/4 to include necessary additional parameters due to changed functions of notary.inc.php
2b) Update wot/6 to include necessary additional parameters due to changed functions of notary.inc.php
2c) Update wot/15 to include necessary additional parameters due to changed functions of notary.inc.php
3. Merge bug-1177 into bug-893 making bug 0000893 dependent on installation of this one
4. Merge temp_function.php into notary.inc.php on bug-893
5. Fix failures on testserver-stable backporting them into bug-1177 (wot-related) or bug-893 (temp_function-related).
6. Atomically install bug-1177 and bug-893 on the live system

BenBE

2013-07-21 22:26

updater   ~0004175

Initial patch removing wot.inc.php done and online on test server for verification.

BenBE

2013-07-22 05:59

updater   ~0004178

Second stage patch with wot.inc.php and temp_functions.php merged. Changes for integration of temp_functions.php are to be found as part of bug 0000893 - where they belong.

Due to the dependencies in the bug it is necessary to apply patches for bug 0000893, 0001136, 0001137 and 0001177 as a whole. Merging things step by step can not be handled easily as all those patches introduce their own changes to wot.inc.php and temp_functions.php which won't exist anymore when the initial patch was applied as a prerequisite.

Thus for deployment all four bugs have to be tested and be ready for release with all changes necessary merged together for critical to be applied in one go.

INOPIAE

2013-07-22 19:44

updater   ~0004179

The test shows a strange layout in the account/pages/15.php

Uli60

2013-07-23 09:23

updater   ~0004180

own "new calculation"
block 1 - assurer ranking -> ok
block 2 - summary of your points -> ok
block 3 - assurances given
      table is ok -> ok
      summary line:
     display text "Total Points Issued:" fills 5 columns instead of 3
     total points value moved to column 6 instead of 4
     display text "Total Exp. points" moved to outer table scope
         table column 8 instead of table column 5-6
     total EP value moved to outer table scope column 9 instead of column 7
block 4 - assurances received
     table is ok -> ok
      summary line:
     display text "Total Assurance Points:" fills 5 columns instead of 3
     total points value moved to column 6 instead of 4
     display text "Total Exp. points" moved to outer table scope
         table column 8 instead of table column 5-6
     total EP value moved to outer table scope column 9 instead of column 7

     
Sysadmin - Find User (-> Admin console view -> 43.php?)

assurances received
https://cacert1.it-sls.de/account.php?id=43&userid=###&shownotary=assuredto15

table -> ok
summary line -> ok



Assurances given
https://cacert1.it-sls.de/account.php?id=43&userid=###&shownotary=assuredby15

table -> ok
summary line -> ok

MartinGummi

2013-07-23 21:38

updater   ~0004183

Last edited: 2013-07-23 21:39

View 2 revisions

fix of shows a strange layout

43 php looks ok
15 php looks ok

Uli60

2013-07-23 21:40

updater   ~0004184

display patch
15.php now -> ok
43.php now -> ok

INOPIAE

2013-07-23 21:47

updater   ~0004185

account/43php
wot/15.php
=>ok

NEOatNHNG

2013-07-30 23:06

administrator   ~0004200

Patch looks OK.

Uli60

2013-07-30 23:24

updater   ~0004201

admin user find user with yellow assurance line
43.php displays 1 yellow line
=> ok

login as user with the yellow line
my points 10.php
assurance points you issued ... shows several
0 pts assurances given, as expected (no yellow line)
=> ok

15.php shows 1 yellow line
notary.id 255703 -> yellow, italic
=> ok

28 EP .. can issue upto 20 AP
=> ok

205 AP rcvd -> 100 AP
=> ok

countable points total -> 128
=> Ok

14 assurances given a 2 EP => total 28 EP
=> ok

you issued ... assurance points
summary 35+35+35+0+35+1+1+1+(8x 35) = 423
             105+ 35 + 3 +(280)
                    143 + 280 = 423
=> ok

your assurance points
ap revoked, 2x 35, 30, 3x 35, 0 = 205
                100 + 105 = 205
=> ok

all detailed values relates to values
from header summary table
=> ok

addtl. tests reports under
https://bugs.cacert.org/view.php?id=1137#c4199
=> ok

Ted

2013-09-04 06:45

administrator   ~0004274

Reviewed combined bugs branch bug-1177-893-1136-1123-1137, 1a381b8..6a92669

Changes are OK, proposed minor change to make the code more easily readable.

INOPIAE

2013-09-04 20:20

updater   ~0004283

I tested 893, 1123, 1136 and 1137 and founf no errors.

Eva

2013-09-04 22:20

updater   ~0004291

I tested 1136, 1137, 1010 and found no errors.

BenBE

2013-09-06 03:53

updater   ~0004292

Tested by several testers and reviewed by two software assessors. Here we go!

wytze

2013-09-06 15:45

developer   ~0004301

The jumbo patch for issue 0000893, 0001123, 0001136, 0001137 and 0001177 was installed on the production server on September 6, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-09/msg00003.html

Issue History

Date Modified Username Field Change
2013-05-14 21:27 INOPIAE New Issue
2013-05-14 21:27 INOPIAE Assigned To => INOPIAE
2013-05-14 21:27 INOPIAE Status new => needs work
2013-05-14 21:29 INOPIAE Relationship added related to 0001054
2013-05-14 21:29 INOPIAE Relationship deleted related to 0001054
2013-05-14 21:30 INOPIAE Relationship added parent of 0001054
2013-05-14 21:31 INOPIAE Summary Combine wot.inc.php, notary.inc..php and temp-function.php => Combine wot.inc.php, notary.inc.php and temp-function.php
2013-05-14 23:43 INOPIAE Relationship added related to 0000893
2013-07-17 19:34 INOPIAE Assigned To INOPIAE => BenBE
2013-07-21 15:41 BenBE Note Added: 0004174
2013-07-21 15:41 BenBE Relationship replaced child of 0000893
2013-07-21 20:41 BenBE Relationship added child of 0001137
2013-07-21 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable c8882f1d
2013-07-21 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable eb288d6c
2013-07-21 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable c8a190e3
2013-07-21 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable d2007817
2013-07-21 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable ffa741b0
2013-07-21 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable 60f6eac2
2013-07-21 22:15 BenBE Source_changeset_attached => cacert-devel testserver-stable 2119edce
2013-07-21 22:26 BenBE Note Added: 0004175
2013-07-21 22:29 BenBE Status needs work => fix available
2013-07-22 05:53 BenBE Relationship added child of 0001136
2013-07-22 05:59 BenBE Note Added: 0004178
2013-07-22 19:44 INOPIAE Note Added: 0004179
2013-07-23 09:23 Uli60 Note Added: 0004180
2013-07-23 20:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 6c75ce7b
2013-07-23 20:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 6c35d5a0
2013-07-23 21:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 3610634c
2013-07-23 21:10 BenBE Source_changeset_attached => cacert-devel testserver-stable e53c7372
2013-07-23 21:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 4acd22cd
2013-07-23 21:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 8683c141
2013-07-23 21:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 60d1d81d
2013-07-23 21:35 BenBE Source_changeset_attached => cacert-devel testserver-stable bda98a5d
2013-07-23 21:38 MartinGummi Note Added: 0004183
2013-07-23 21:39 MartinGummi Note Edited: 0004183 View Revisions
2013-07-23 21:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 38eced4e
2013-07-23 21:40 BenBE Source_changeset_attached => cacert-devel testserver-stable d4f46a86
2013-07-23 21:40 Uli60 Note Added: 0004184
2013-07-23 21:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 33bd853d
2013-07-23 21:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 56e83010
2013-07-23 21:47 INOPIAE Note Added: 0004185
2013-07-23 22:01 INOPIAE Assigned To BenBE => NEOatNHNG
2013-07-23 22:01 INOPIAE Status fix available => needs review & testing
2013-07-30 23:06 NEOatNHNG Reviewed by => NEOatNHNG
2013-07-30 23:06 NEOatNHNG Note Added: 0004200
2013-07-30 23:24 Uli60 Note Added: 0004201
2013-08-06 20:51 INOPIAE Relationship added related to 0001123
2013-08-06 20:52 INOPIAE Relationship deleted related to 0001123
2013-08-06 20:52 INOPIAE Relationship added child of 0001123
2013-08-24 15:15 NEOatNHNG Assigned To NEOatNHNG => Ted
2013-09-04 06:45 Ted Note Added: 0004274
2013-09-04 06:46 Ted Reviewed by NEOatNHNG => Ted, NEOatNHNG
2013-09-04 06:46 Ted Status needs review & testing => needs testing
2013-09-04 06:48 Ted Assigned To Ted => BenBE
2013-09-04 20:20 INOPIAE Note Added: 0004283
2013-09-04 22:20 Eva Note Added: 0004291
2013-09-06 03:53 BenBE Status needs testing => ready to deploy
2013-09-06 03:53 BenBE Note Added: 0004292
2013-09-06 05:50 BenBE Source_changeset_attached => cacert-devel release 18a9f220
2013-09-06 05:50 NEOatNHNG Source_changeset_attached => cacert-devel release d620a07d
2013-09-06 05:50 NEOatNHNG Source_changeset_attached => cacert-devel release 4a3ba3b7
2013-09-06 05:50 NEOatNHNG Source_changeset_attached => cacert-devel release c34d0d38
2013-09-06 05:50 NEOatNHNG Source_changeset_attached => cacert-devel release f543973b
2013-09-06 05:50 BenBE Source_changeset_attached => cacert-devel release 90a9b6b2
2013-09-06 05:50 BenBE Source_changeset_attached => cacert-devel release e4d5df60
2013-09-06 15:45 wytze Note Added: 0004301
2013-09-06 15:45 wytze Status ready to deploy => solved?
2013-09-06 15:45 wytze Fixed in Version => 2013 Q3
2013-09-06 15:45 wytze Resolution open => fixed
2013-10-24 13:35 Uli60 Relationship added child of 0001216
2014-09-02 20:52 INOPIAE Relationship deleted parent of 0001054
2014-09-02 20:52 INOPIAE Relationship added related to 0001054
2014-09-02 20:53 INOPIAE Status solved? => closed